Bug 1496287 - VTK not operational with Nvidia
Summary: VTK not operational with Nvidia
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vtk
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-27 00:15 UTC by Vladimir Florinski
Modified: 2018-11-30 21:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:41:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Vladimir Florinski 2017-09-27 00:15:24 UTC
Description of problem:

VTK's new OpenGL2 rendering pipeline in not working on systems with Nvidia graphics cards (OpenGL 4.5).

Version-Release number of selected component (if applicable):

7.1.1-3

How reproducible:

Always

Steps to Reproduce:
1. Run Cube (or any other test from vtk-examples)
2.
3.

Actual results:

crashes with the message
ERROR: In /builddir/build/BUILD/VTK-7.1.1/Rendering/OpenGL2/vtkShaderProgram.cxx, line 424
vtkShaderProgram (0x55c2212efdb0): Shader object was not initialized, cannot attach it.

Expected results:

A window with a cube in it (or some other graphic) is displayed

Additional info:

The same example works on a system with an Intel graphics card.

Comment 1 Vladimir Florinski 2017-09-27 17:49:00 UTC
More testing revealed that VTK is having problems with other software as well. I have tried it with Visit (visualization software based on VTK) which segfaults trying to initialize OpenGL. This happens on any video card, without exception.

Comment 2 Bert DeKnuydt 2018-01-16 14:31:34 UTC
Same in F27.

Comment 3 Jacek Radzikowski 2018-01-23 17:09:45 UTC
I have the same problem on F27 and GeForce GTX 1060 6GB and VTK installed from vtk-7.1.1-7.fc27.x86_64, with an application (AppCSXCAD from openEMS package) using VTK. Error message is identical to the one reported by the OP.

Comment 4 Knut J BJuland 2018-02-27 08:31:25 UTC
1548542 could be duplicated of this bugs.

Comment 5 Knut J BJuland 2018-02-27 18:34:31 UTC
vtkImagingMorphologicalCxxTests 
Available tests:
  0. TestImageThresholdConnectivity
  1. TestImageConnectivityFilter
To run a test, enter the test number: 0
ERROR: In /builddir/build/BUILD/VTK-7.1.1/IO/Image/vtkImageReader2.cxx, line 592
vtkImageReader2 (0x559fb0390650): Initialize: Could not open file ../../../../VTKData/Data/headsq/quarter.2

ERROR: In /builddir/build/BUILD/VTK-7.1.1/Rendering/OpenGL2/vtkShaderProgram.cxx, line 424
vtkShaderProgram (0x559fb06adf50): Shader object was not initialized, cannot attach it.


=========================================================
Process id 3056276 Caught SIGSEGV at 0x80 address not mapped to object
Program Stack:
0x7f61572306f0 : ??? [(???) ???:-1]
0x7f6153beaaf2 : vtkShaderProgram::SetUniformi(char const*, int) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153b7d06c : vtkOpenGLPolyDataMapper::SetMapperShaderParameters(vtkOpenGLHelper&, vtkRenderer*, vtkActor*) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153b7c7f8 : vtkOpenGLPolyDataMapper::UpdateShaders(vtkOpenGLHelper&, vtkRenderer*, vtkActor*) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153b72895 : vtkOpenGLPolyDataMapper::RenderPieceDraw(vtkRenderer*, vtkActor*) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153b7ef08 : vtkOpenGLPolyDataMapper::RenderPiece(vtkRenderer*, vtkActor*) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6150bcba7a : vtkPolyDataMapper::Render(vtkRenderer*, vtkActor*) [(libvtkRenderingCore.so.1) ???:-1]
0x7f6153b0fbe9 : vtkOpenGLImageSliceMapper::RenderPolygon(vtkActor*, vtkPoints*, int const*, vtkRenderer*) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153b12213 : vtkOpenGLImageSliceMapper::RenderTexturedPolygon(vtkRenderer*, vtkImageProperty*, vtkImageData*, int*, bool) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153b129a2 : vtkOpenGLImageSliceMapper::RecursiveRenderTexturedPolygon(vtkRenderer*, vtkImageProperty*, vtkImageData*, int*, bool) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153b12dc3 : vtkOpenGLImageSliceMapper::Render(vtkRenderer*, vtkImageSlice*) [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6150b7831b : vtkImageSlice::Render(vtkRenderer*) [(libvtkRenderingCore.so.1) ???:-1]
0x7f6150b77598 : vtkImageSlice::RenderOpaqueGeometry(vtkViewport*) [(libvtkRenderingCore.so.1) ???:-1]
0x7f6150be63de : vtkRenderer::UpdateOpaquePolygonalGeometry() [(libvtkRenderingCore.so.1) ???:-1]
0x7f6153ba3193 : vtkOpenGLRenderer::DeviceRenderOpaqueGeometry() [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153ba0cb6 : vtkOpenGLRenderer::UpdateGeometry() [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6153ba0481 : vtkOpenGLRenderer::DeviceRender() [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6150bea804 : vtkRenderer::Render() [(libvtkRenderingCore.so.1) ???:-1]
0x7f6150be5964 : vtkRendererCollection::Render() [(libvtkRenderingCore.so.1) ???:-1]
0x7f6150bfb225 : vtkRenderWindow::DoStereoRender() [(libvtkRenderingCore.so.1) ???:-1]
0x7f6150bfd547 : vtkRenderWindow::DoFDRender() [(libvtkRenderingCore.so.1) ???:-1]
0x7f6150bfe4e6 : vtkRenderWindow::DoAARender() [(libvtkRenderingCore.so.1) ???:-1]
0x7f6150bfcc7f : vtkRenderWindow::Render() [(libvtkRenderingCore.so.1) ???:-1]
0x7f6153c5ffc1 : vtkXOpenGLRenderWindow::Render() [(libvtkRenderingOpenGL2.so.1) ???:-1]
0x7f6150c06e29 : vtkRenderWindowInteractor::Render() [(libvtkRenderingCore.so.1) ???:-1]
0x559faf46818a : TestImageThresholdConnectivity(int, char**) [(vtkImagingMorphologicalCxxTests) ???:-1]
0x559faf4661ea : main [(vtkImagingMorphologicalCxxTests) ???:-1]
0x7f615721a00a : __libc_start_main [(libc.so.6) ???:-1]
0x559faf46664a : _start [(vtkImagingMorphologicalCxxTests) ???:-1]
=========================================================

Aborted (core dumped)

Comment 6 Knut J BJuland 2018-03-05 12:47:57 UTC
This also affects Fedora 27.

Comment 7 Knut J BJuland 2018-03-17 06:23:56 UTC
When I have disable libOsMesa I am able to run  vtkImagingMorphologicalCxxTests 
without crashing.

Available tests:
  0. TestImageThresholdConnectivity
  1. TestImageConnectivityFilter
To run a test, enter the test number: 1
ERROR: In /home/knutjb/rpmbuild/BUILD/VTK-7.1.1/IO/Image/vtkImageReader2.cxx, line 592
vtkImageReader2 (0x555c1eeeb140): Initialize: Could not open file ../../../../VTKData/Data/headsq/quarter.2


Test Case: 0
number of regions: 0

Test Case: 1
number of regions: 0

Test Case: 2
number of regions: 0

Test Case: 3
number of regions: 0

Test Case: 4
number of regions: 0

Test Case: 5
number of regions: 0

Test Case: 6
number of regions: 2
region: 0, seed: -1, label: 1, size: 1, extent: []
region: 1, seed: -1, label: 2, size: 1, extent: []

Test Case: 7
number of regions: 1
region: 0, seed: -1, label: 1, size: 12187, extent: []

Test Case: 8
number of regions: 1
region: 0, seed: -1, label: 1, size: 12269, extent: []
server glx vendor string:  NVIDIA Corporation
server glx version string:  1.4
server glx extensions:  GLX_EXT_visual_info GLX_EXT_visual_rating GLX_EXT_import_context GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGI_video_sync GLX_SGI_swap_control GLX_EXT_swap_control GLX_EXT_swap_control_tear GLX_EXT_texture_from_pixmap GLX_EXT_buffer_age GLX_ARB_create_context GLX_ARB_create_context_profile GLX_EXT_create_context_es_profile GLX_EXT_create_context_es2_profile GLX_ARB_create_context_no_error GLX_ARB_create_context_robustness GLX_NV_delay_before_swap GLX_EXT_stereo_tree GLX_EXT_libglvnd GLX_ARB_context_flush_control GLX_NV_robustness_video_memory_purge GLX_ARB_multisample GLX_NV_float_buffer GLX_ARB_fbconfig_float GLX_EXT_framebuffer_sRGB GLX_NV_copy_image 
client glx vendor string:  NVIDIA Corporation
client glx version string:  1.4
glx extensions:  GLX_EXT_visual_info GLX_EXT_visual_rating GLX_EXT_import_context GLX_SGIX_fbconfig GLX_SGIX_pbuffer GLX_SGI_video_sync GLX_SGI_swap_control GLX_EXT_swap_control GLX_EXT_swap_control_tear GLX_EXT_texture_from_pixmap GLX_EXT_buffer_age GLX_ARB_create_context GLX_ARB_create_context_profile GLX_EXT_create_context_es_profile GLX_EXT_create_context_es2_profile GLX_ARB_create_context_no_error GLX_ARB_create_context_robustness GLX_NV_delay_before_swap GLX_EXT_stereo_tree GLX_ARB_context_flush_control GLX_NV_robustness_video_memory_purge GLX_ARB_multisample GLX_NV_float_buffer GLX_ARB_fbconfig_float GLX_EXT_framebuffer_sRGB GLX_NV_copy_image GLX_ARB_get_proc_address 
OpenGL vendor string:  NVIDIA Corporation
OpenGL renderer string:  GeForce GTX 1070/PCIe/SSE2
OpenGL version string:  4.5.0 NVIDIA 390.42
OpenGL extensions:  
  GL_AMD_multi_draw_indirect
  GL_AMD_seamless_cubemap_per_texture
  GL_AMD_vertex_shader_viewport_index
  GL_AMD_vertex_shader_layer
  GL_ARB_arrays_of_arrays
  GL_ARB_base_instance
  GL_ARB_bindless_texture
  GL_ARB_blend_func_extended
  GL_ARB_buffer_storage
  GL_ARB_clear_buffer_object
  GL_ARB_clear_texture
  GL_ARB_clip_control
  GL_ARB_color_buffer_float
  GL_ARB_compressed_texture_pixel_storage
  GL_ARB_conservative_depth
  GL_ARB_compute_shader
  GL_ARB_compute_variable_group_size
  GL_ARB_conditional_render_inverted
  GL_ARB_copy_buffer
  GL_ARB_copy_image
  GL_ARB_cull_distance
  GL_ARB_debug_output
  GL_ARB_depth_buffer_float
  GL_ARB_depth_clamp
  GL_ARB_depth_texture
  GL_ARB_derivative_control
  GL_ARB_direct_state_access
  GL_ARB_draw_buffers
  GL_ARB_draw_buffers_blend
  GL_ARB_draw_indirect
  GL_ARB_draw_elements_base_vertex
  GL_ARB_draw_instanced
  GL_ARB_enhanced_layouts
  GL_ARB_ES2_compatibility
  GL_ARB_ES3_compatibility
  GL_ARB_ES3_1_compatibility
  GL_ARB_ES3_2_compatibility
  GL_ARB_explicit_attrib_location
  GL_ARB_explicit_uniform_location
  GL_ARB_fragment_coord_conventions
  GL_ARB_fragment_layer_viewport
  GL_ARB_fragment_program
  GL_ARB_fragment_program_shadow
  GL_ARB_fragment_shader
  GL_ARB_fragment_shader_interlock
  GL_ARB_framebuffer_no_attachments
  GL_ARB_framebuffer_object
  GL_ARB_framebuffer_sRGB
  GL_ARB_geometry_shader4
  GL_ARB_get_program_binary
  GL_ARB_get_texture_sub_image
  GL_ARB_gl_spirv
  GL_ARB_gpu_shader5
  GL_ARB_gpu_shader_fp64
  GL_ARB_gpu_shader_int64
  GL_ARB_half_float_pixel
  GL_ARB_half_float_vertex
  GL_ARB_imaging
  GL_ARB_indirect_parameters
  GL_ARB_instanced_arrays
  GL_ARB_internalformat_query
  GL_ARB_internalformat_query2
  GL_ARB_invalidate_subdata
  GL_ARB_map_buffer_alignment
  GL_ARB_map_buffer_range
  GL_ARB_multi_bind
  GL_ARB_multi_draw_indirect
  GL_ARB_multisample
  GL_ARB_multitexture
  GL_ARB_occlusion_query
  GL_ARB_occlusion_query2
  GL_ARB_parallel_shader_compile
  GL_ARB_pipeline_statistics_query
  GL_ARB_pixel_buffer_object
  GL_ARB_point_parameters
  GL_ARB_point_sprite
  GL_ARB_polygon_offset_clamp
  GL_ARB_post_depth_coverage
  GL_ARB_program_interface_query
  GL_ARB_provoking_vertex
  GL_ARB_query_buffer_object
  GL_ARB_robust_buffer_access_behavior
  GL_ARB_robustness
  GL_ARB_sample_locations
  GL_ARB_sample_shading
  GL_ARB_sampler_objects
  GL_ARB_seamless_cube_map
  GL_ARB_seamless_cubemap_per_texture
  GL_ARB_separate_shader_objects
  GL_ARB_shader_atomic_counter_ops
  GL_ARB_shader_atomic_counters
  GL_ARB_shader_ballot
  GL_ARB_shader_bit_encoding
  GL_ARB_shader_clock
  GL_ARB_shader_draw_parameters
  GL_ARB_shader_group_vote
  GL_ARB_shader_image_load_store
  GL_ARB_shader_image_size
  GL_ARB_shader_objects
  GL_ARB_shader_precision
  GL_ARB_shader_storage_buffer_object
  GL_ARB_shader_subroutine
  GL_ARB_shader_texture_image_samples
  GL_ARB_shader_texture_lod
  GL_ARB_shading_language_100
  GL_ARB_shader_viewport_layer_array
  GL_ARB_shading_language_420pack
  GL_ARB_shading_language_include
  GL_ARB_shading_language_packing
  GL_ARB_shadow
  GL_ARB_sparse_buffer
  GL_ARB_sparse_texture
  GL_ARB_sparse_texture2
  GL_ARB_sparse_texture_clamp
  GL_ARB_spirv_extensions
  GL_ARB_stencil_texturing
  GL_ARB_sync
  GL_ARB_tessellation_shader
  GL_ARB_texture_barrier
  GL_ARB_texture_border_clamp
  GL_ARB_texture_buffer_object
  GL_ARB_texture_buffer_object_rgb32
  GL_ARB_texture_buffer_range
  GL_ARB_texture_compression
  GL_ARB_texture_compression_bptc
  GL_ARB_texture_compression_rgtc
  GL_ARB_texture_cube_map
  GL_ARB_texture_cube_map_array
  GL_ARB_texture_env_add
  GL_ARB_texture_env_combine
  GL_ARB_texture_env_crossbar
  GL_ARB_texture_env_dot3
  GL_ARB_texture_filter_anisotropic
  GL_ARB_texture_filter_minmax
  GL_ARB_texture_float
  GL_ARB_texture_gather
  GL_ARB_texture_mirror_clamp_to_edge
  GL_ARB_texture_mirrored_repeat
  GL_ARB_texture_multisample
  GL_ARB_texture_non_power_of_two
  GL_ARB_texture_query_levels
  GL_ARB_texture_query_lod
  GL_ARB_texture_rectangle
  GL_ARB_texture_rg
  GL_ARB_texture_rgb10_a2ui
  GL_ARB_texture_stencil8
  GL_ARB_texture_storage
  GL_ARB_texture_storage_multisample
  GL_ARB_texture_swizzle
  GL_ARB_texture_view
  GL_ARB_timer_query
  GL_ARB_transform_feedback2
  GL_ARB_transform_feedback3
  GL_ARB_transform_feedback_instanced
  GL_ARB_transform_feedback_overflow_query
  GL_ARB_transpose_matrix
  GL_ARB_uniform_buffer_object
  GL_ARB_vertex_array_bgra
  GL_ARB_vertex_array_object
  GL_ARB_vertex_attrib_64bit
  GL_ARB_vertex_attrib_binding
  GL_ARB_vertex_buffer_object
  GL_ARB_vertex_program
  GL_ARB_vertex_shader
  GL_ARB_vertex_type_10f_11f_11f_rev
  GL_ARB_vertex_type_2_10_10_10_rev
  GL_ARB_viewport_array
  GL_ARB_window_pos
  GL_ATI_draw_buffers
  GL_ATI_texture_float
  GL_ATI_texture_mirror_once
  GL_S3_s3tc
  GL_EXT_texture_env_add
  GL_EXT_abgr
  GL_EXT_bgra
  GL_EXT_bindable_uniform
  GL_EXT_blend_color
  GL_EXT_blend_equation_separate
  GL_EXT_blend_func_separate
  GL_EXT_blend_minmax
  GL_EXT_blend_subtract
  GL_EXT_compiled_vertex_array
  GL_EXT_Cg_shader
  GL_EXT_depth_bounds_test
  GL_EXT_direct_state_access
  GL_EXT_draw_buffers2
  GL_EXT_draw_instanced
  GL_EXT_draw_range_elements
  GL_EXT_fog_coord
  GL_EXT_framebuffer_blit
  GL_EXT_framebuffer_multisample
  GL_EXTX_framebuffer_mixed_formats
  GL_EXT_framebuffer_multisample_blit_scaled
  GL_EXT_framebuffer_object
  GL_EXT_framebuffer_sRGB
  GL_EXT_geometry_shader4
  GL_EXT_gpu_program_parameters
  GL_EXT_gpu_shader4
  GL_EXT_multi_draw_arrays
  GL_EXT_packed_depth_stencil
  GL_EXT_packed_float
  GL_EXT_packed_pixels
  GL_EXT_pixel_buffer_object
  GL_EXT_point_parameters
  GL_EXT_polygon_offset_clamp
  GL_EXT_post_depth_coverage
  GL_EXT_provoking_vertex
  GL_EXT_raster_multisample
  GL_EXT_rescale_normal
  GL_EXT_secondary_color
  GL_EXT_separate_shader_objects
  GL_EXT_separate_specular_color
  GL_EXT_shader_image_load_formatted
  GL_EXT_shader_image_load_store
  GL_EXT_shader_integer_mix
  GL_EXT_shadow_funcs
  GL_EXT_sparse_texture2
  GL_EXT_stencil_two_side
  GL_EXT_stencil_wrap
  GL_EXT_texture3D
  GL_EXT_texture_array
  GL_EXT_texture_buffer_object
  GL_EXT_texture_compression_dxt1
  GL_EXT_texture_compression_latc
  GL_EXT_texture_compression_rgtc
  GL_EXT_texture_compression_s3tc
  GL_EXT_texture_cube_map
  GL_EXT_texture_edge_clamp
  GL_EXT_texture_env_combine
  GL_EXT_texture_env_dot3
  GL_EXT_texture_filter_anisotropic
  GL_EXT_texture_filter_minmax
  GL_EXT_texture_integer
  GL_EXT_texture_lod
  GL_EXT_texture_lod_bias
  GL_EXT_texture_mirror_clamp
  GL_EXT_texture_object
  GL_EXT_texture_shared_exponent
  GL_EXT_texture_sRGB
  GL_EXT_texture_sRGB_decode
  GL_EXT_texture_storage
  GL_EXT_texture_swizzle
  GL_EXT_timer_query
  GL_EXT_transform_feedback2
  GL_EXT_vertex_array
  GL_EXT_vertex_array_bgra
  GL_EXT_vertex_attrib_64bit
  GL_EXT_window_rectangles
  GL_EXT_x11_sync_object
  GL_EXT_import_sync_object
  GL_NV_robustness_video_memory_purge
  GL_IBM_rasterpos_clip
  GL_IBM_texture_mirrored_repeat
  GL_KHR_context_flush_control
  GL_KHR_debug
  GL_EXT_memory_object
  GL_EXT_memory_object_fd
  GL_KHR_parallel_shader_compile
  GL_KHR_no_error
  GL_KHR_robust_buffer_access_behavior
  GL_KHR_robustness
  GL_EXT_semaphore
  GL_EXT_semaphore_fd
  GL_KTX_buffer_region
  GL_NV_alpha_to_coverage_dither_control
  GL_NV_bindless_multi_draw_indirect
  GL_NV_bindless_multi_draw_indirect_count
  GL_NV_bindless_texture
  GL_NV_blend_equation_advanced
  GL_NV_blend_equation_advanced_coherent
  GL_NVX_blend_equation_advanced_multi_draw_buffers
  GL_NV_blend_minmax_factor
  GL_NV_blend_square
  GL_NV_clip_space_w_scaling
  GL_NV_command_list
  GL_NV_compute_program5
  GL_NV_conditional_render
  GL_NV_conservative_raster
  GL_NV_conservative_raster_dilate
  GL_NV_conservative_raster_pre_snap_triangles
  GL_NV_copy_depth_to_color
  GL_NV_copy_image
  GL_NV_depth_buffer_float
  GL_NV_depth_clamp
  GL_NV_draw_texture
  GL_NV_draw_vulkan_image
  GL_NV_ES1_1_compatibility
  GL_NV_ES3_1_compatibility
  GL_NV_explicit_multisample
  GL_NV_fence
  GL_NV_fill_rectangle
  GL_NV_float_buffer
  GL_NV_fog_distance
  GL_NV_fragment_coverage_to_color
  GL_NV_fragment_program
  GL_NV_fragment_program_option
  GL_NV_fragment_program2
  GL_NV_fragment_shader_interlock
  GL_NV_framebuffer_mixed_samples
  GL_NV_framebuffer_multisample_coverage
  GL_NV_geometry_shader4
  GL_NV_geometry_shader_passthrough
  GL_NV_gpu_program4
  GL_NV_internalformat_sample_query
  GL_NV_gpu_program4_1
  GL_NV_gpu_program5
  GL_NV_gpu_program5_mem_extended
  GL_NV_gpu_program_fp64
  GL_NV_gpu_shader5
  GL_NV_half_float
  GL_NV_light_max_exponent
  GL_NV_multisample_coverage
  GL_NV_multisample_filter_hint
  GL_NV_occlusion_query
  GL_NV_packed_depth_stencil
  GL_NV_parameter_buffer_object
  GL_NV_parameter_buffer_object2
  GL_NV_path_rendering
  GL_NV_path_rendering_shared_edge
  GL_NV_pixel_data_range
  GL_NV_point_sprite
  GL_NV_primitive_restart
  GL_NV_query_resource
  GL_NV_query_resource_tag
  GL_NV_register_combiners
  GL_NV_register_combiners2
  GL_NV_sample_locations
  GL_NV_sample_mask_override_coverage
  GL_NV_shader_atomic_counters
  GL_NV_shader_atomic_float
  GL_NV_shader_atomic_float64
  GL_NV_shader_atomic_fp16_vector
  GL_NV_shader_atomic_int64
  GL_NV_shader_buffer_load
  GL_NV_shader_storage_buffer_object
  GL_NV_stereo_view_rendering
  GL_NV_texgen_reflection
  GL_NV_texture_barrier
  GL_NV_texture_compression_vtc
  GL_NV_texture_env_combine4
  GL_NV_texture_multisample
  GL_NV_texture_rectangle
  GL_NV_texture_rectangle_compressed
  GL_NV_texture_shader
  GL_NV_texture_shader2
  GL_NV_texture_shader3
  GL_NV_transform_feedback
  GL_NV_transform_feedback2
  GL_NV_uniform_buffer_unified_memory
  GL_NV_vdpau_interop
  GL_NV_vertex_array_range
  GL_NV_vertex_array_range2
  GL_NV_vertex_attrib_integer_64bit
  GL_NV_vertex_buffer_unified_memory
  GL_NV_vertex_program
  GL_NV_vertex_program1_1
  GL_NV_vertex_program2
  GL_NV_vertex_program2_option
  GL_NV_vertex_program3
  GL_NV_viewport_array2
  GL_NV_viewport_swizzle
  GL_NVX_conditional_render
  GL_NVX_gpu_memory_info
  GL_NVX_nvenc_interop
  GL_NV_shader_thread_group
  GL_NV_shader_thread_shuffle
  GL_KHR_blend_equation_advanced
  GL_KHR_blend_equation_advanced_coherent
  GL_SGIS_generate_mipmap
  GL_SGIS_texture_lod
  GL_SGIX_depth_texture
  GL_SGIX_shadow
  GL_SUN_slice_accum
X Extensions:  Generic Event Extension, SHAPE, MIT-SHM, XInputExtension, XTEST, BIG-REQUESTS, SYNC, XKEYBOARD, XC-MISC, XFIXES, RENDER, RANDR, XINERAMA, Composite, DAMAGE, MIT-SCREEN-SAVER, DOUBLE-BUFFER, RECORD, DPMS, Present, X-Resource, XVideo, XFree86-VidModeExtension, XFree86-DGA, DRI2, GLX, NV-GLX, NV-CONTROL, XINERAMA
<DartMeasurement name="ImageNotFound" type="text/string">/home/knutjb/rpmbuild/RPMS/x86_64/Use_-D_for_Data/Use_-V_for_Baseline</DartMeasurement>
<DartMeasurementFile name="TestImage" type="image/png">/home/knutjb/rpmbuild/BUILD/VTK-7.1.1/build/Testing/Temporary/Use_-V_for_Baseline</DartMeasurementFile><DartMeasurement name="WallTime" type="numeric/double">0.085146</DartMeasurement>
<DartMeasurement name="CPUTime" type="numeric/double">0.054414</DartMeasurement>

Comment 8 Knut J BJuland 2018-03-26 07:29:10 UTC
Can you add information about which test that I should use.

Comment 9 Fedora End Of Life 2018-05-03 08:01:01 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Knut J BJuland 2018-05-03 09:54:59 UTC
has this been updateed for fs28

Comment 11 Jacek Radzikowski 2018-05-03 13:50:27 UTC
(In reply to Fedora End Of Life from comment #9)
> This message is a reminder that Fedora 26 is nearing its end of life.
> Approximately 4 (four) weeks from now Fedora will stop maintaining
> and issuing updates for Fedora 26. It is Fedora's policy to close all
> bug reports from releases that are no longer maintained. At that time
> this bug will be closed as EOL if it remains open with a Fedora  'version'
> of '26'.

The problem affects F27 as well, so the metadata of the report should be updated, and the bug should remain open, until the issue will be fixed.

Comment 12 Knut J BJuland 2018-05-03 14:25:32 UTC
I got this error in Fedora 28

knutjb@knut:~$ gdb vtkImagingMorphologicalCxxTests
GNU gdb (GDB) Fedora 8.1-11.fc28
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from vtkImagingMorphologicalCxxTests...Reading symbols from /home/knutjb/vtkImagingMorphologicalCxxTests...(no debugging symbols found)...done.
(no debugging symbols found)...done.
Missing separate debuginfos, use: dnf debuginfo-install vtk-testing-7.1.1-11.fc28.x86_64
(gdb) run
Starting program: /usr/bin/vtkImagingMorphologicalCxxTests 
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
Available tests:
  0. TestImageThresholdConnectivity
  1. TestImageConnectivityFilter
To run a test, enter the test number: 1
ERROR: In /builddir/build/BUILD/VTK-7.1.1/IO/Image/vtkImageReader2.cxx, line 592
vtkImageReader2 (0x5555557d8870): Initialize: Could not open file ../../../../VTKData/Data/headsq/quarter.2


Test Case: 0
number of regions: 0

Test Case: 1
number of regions: 0

Test Case: 2
number of regions: 0

Test Case: 3
number of regions: 0

Test Case: 4
number of regions: 0

Test Case: 5
number of regions: 0

Test Case: 6
number of regions: 0

Test Case: 7
number of regions: 1
region: 0, seed: -1, label: 1, size: 12187, extent: []

Test Case: 8
number of regions: 1
region: 0, seed: -1, label: 1, size: 12274, extent: []
[New Thread 0x7fffe40e5700 (LWP 129235)]
[New Thread 0x7fffe38e4700 (LWP 129236)]
[Thread 0x7fffe40e5700 (LWP 129235) exited]
[New Thread 0x7fffe30e3700 (LWP 129237)]
[Thread 0x7fffe38e4700 (LWP 129236) exited]
[Thread 0x7fffe30e3700 (LWP 129237) exited]
[New Thread 0x7fffe28e2700 (LWP 129238)]
[Thread 0x7fffe28e2700 (LWP 129238) exited]
[New Thread 0x7fffe20e1700 (LWP 129239)]
[New Thread 0x7fffe18e0700 (LWP 129240)]
[Thread 0x7fffe20e1700 (LWP 129239) exited]
[New Thread 0x7fffe10df700 (LWP 129241)]
[Thread 0x7fffe18e0700 (LWP 129240) exited]
[New Thread 0x7fffe08de700 (LWP 129242)]
[Thread 0x7fffe10df700 (LWP 129241) exited]
[New Thread 0x7fffe00dd700 (LWP 129243)]
[Thread 0x7fffe08de700 (LWP 129242) exited]
[New Thread 0x7fffdf8dc700 (LWP 129244)]
[Thread 0x7fffe00dd700 (LWP 129243) exited]
[New Thread 0x7fffdf0db700 (LWP 129245)]
[Thread 0x7fffdf8dc700 (LWP 129244) exited]
[New Thread 0x7fffde8da700 (LWP 129246)]
[Thread 0x7fffdf0db700 (LWP 129245) exited]
[Thread 0x7fffde8da700 (LWP 129246) exited]
[New Thread 0x7fffde0d9700 (LWP 129247)]
[Thread 0x7fffde0d9700 (LWP 129247) exited]
[New Thread 0x7fffdd8d8700 (LWP 129248)]
[Thread 0x7fffdd8d8700 (LWP 129248) exited]
[New Thread 0x7fffdd0d7700 (LWP 129249)]
[Thread 0x7fffdd0d7700 (LWP 129249) exited]
ERROR: In /builddir/build/BUILD/VTK-7.1.1/Rendering/OpenGL2/vtkShaderProgram.cxx, line 424
vtkShaderProgram (0x555555bee0b0): Shader object was not initialized, cannot attach it.


Thread 1 "vtkImagingMorph" received signal SIGSEGV, Segmentation fault.
0x00007ffff43d3c26 in vtkShaderProgram::SetUniformi(char const*, int) () from /usr/lib64/vtk/libvtkRenderingOpenGL2.so.1
(gdb)

Comment 13 Mario Ceresa 2018-05-22 10:29:58 UTC
Hi, I also got this on f27. 

I was wondering, is there is any known solution or it is impossible to use vtk with nvidia on f27-f28?

BTW, paraview works well, does it use the same vtk version of the system?

Thanks,

Mario

Comment 14 Ben Cotton 2018-11-27 15:38:56 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 21:41:26 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.